Enable/Disable Resources in an Environment
API recipe to enable or disable Facets resources in a specific environment with a PUT request, toggling the disabled flag by clusterId for each resource.
Your Control Plane URL will vary
The Control Plane URL, denoted as YOUR_CP_URL for this API reference document is https://facetsdemo.console.facets.cloud.
Replace that with the Control Plane URL unique to your account.
API Endpoint
This API processes a PUT request to update the status of the resource in an Environment.
https://{YOUR_CP_URL}/cc-ui/v1/clusters/{clusterId}/resource-enable-disable- This API endpoint has one path parameter,
clusterId.
Path parameters
clusterIdof typeStringis the id of the Environment.
Body parameters
resourceNameandresourceTypeare variables of typeString.- Locate the
disabled: trueparameter and set the value totrueorfalse.
Note: Setting disabled to true will disable the resource, while setting it to false will enable the resource.
[
{
"disabled": true,
"resourceName": "string",
"resourceType": "string"
}
][
{
"disabled": true,
"resourceName": "aws-crit",
"resourceType": "service"
},
{
"disabled": false,
"resourceName": "default",
"resourceType": "postgres"
}
]Authenticate your API request
To learn more about how to generate a basic authentication token for use with Facets API requests, check Authentication Setup.
Facets API uses Basic Authentication.
Generate a Sample Request ➡️
Enable/Disable Resources in a Blueprint
API recipe to enable or disable Facets resources at the blueprint level with a PUT request, toggling the disabled flag by stackName for each resource.
Web Components
Developer SDK for building custom UI panels inside the Facets control plane. Embed custom React components directly in the Facets UI using the Web Components framework.